BSON_ITER_DBPOINTER(3)

NAME
bson_iter_dbpointer - bson_iter_dbpointer()

SYNOPSIS

void
bson_iter_dbpointer (const bson_iter_t *iter,
                     uint32_t *collection_len,
                     const char **collection,
                     const bson_oid_t **oid);

PARAMETERS

•   iter: A bson_iter_t.

•   collection_len: A location for the length of the collection name.

•   collection: A location for the collection name..

•   oid: A location for a bson_oid_t.

DESCRIPTION

Fetches the contents of a BSON_TYPE_DBPOINTER element.

WARNING: The BSON_TYPE_DBPOINTER field type is deprecated by the BSON spec and should not be used in new code.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc